This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 546871 - Review Request: qpixman - Modified version of pixman for spice
Review Request: qpixman - Modified version of pixman for spice
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: 546872
  Show dependency treegraph
 
Reported: 2009-12-12 07:19 EST by Jeroen van Meeuwen
Modified: 2012-05-11 07:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-11 07:44:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-12-12 07:19:44 EST
Spec URL: http://www.kanarip.com/custom/qpixman.spec
SRPM URL: http://www.kanarip.com/custom/f12/SRPMS/qpixman-0.13.3-4.fc12.src.rpm
Description: Qpixman is a pixel manipulation library for X and cairo.

This package is a requirement for qcairo, which in turn is a requirement for qspice...
Comment 1 Rahul Sundaram 2009-12-14 07:20:47 EST
Why aren't these patches being pushed upstream? I don't think we should be importing Spice forked versions like this.
Comment 2 Jeroen van Meeuwen 2009-12-14 08:06:00 EST
Very good point. FWIW, I'm actually taking issue with this ignorant behaviour of qpixman's upstream. That's why I want the stack to be in Fedora; so that we, once more, may lead by example.
Comment 3 Michael Schwendt 2010-06-24 10:08:26 EDT
Nothing to review here -> NotReady
[ http://fedoraproject.org/wiki/Package_Review_Process#The_Whiteboard ]
Comment 4 Christophe Fergeau 2011-05-19 09:45:27 EDT
spice no longer needs a modified pixman version, I think this bug can be closed.
Comment 5 Simone Caronni 2012-05-11 07:44:12 EDT
Closing this bug down, now Spice is integrated everywhere.

Note You need to log in before you can comment on or make changes to this bug.